/// <reference types="node" />
import { BitStructure, Blob, Layout, UInt } from 'buffer-layout';
import { PublicKey } from '@solana/web3.js';
import BN from 'bn.js';
export declare const NUM_TOKENS = 3;
export declare const NUM_MARKETS: number;
export declare const MANGO_GROUP_PADDING: number;
export declare const MAX_RATE = 1;
export declare const OPTIMAL_UTIL = 0.7;
export declare const OPTIMAL_RATE = 0.1;
declare class PublicKeyLayout extends Blob {
    constructor(property: any);
    decode(b: any, offset: any): PublicKey;
    encode(src: any, b: any, offset: any): any;
}
export declare function publicKeyLayout(property?: string): PublicKeyLayout;
declare class BNLayout extends Blob {
    constructor(number: number, property: any);
    decode(b: any, offset: any): BN;
    encode(src: any, b: any, offset: any): any;
}
export declare function u64(property?: string): BNLayout;
export declare function u128(property?: string): BNLayout;
declare class U64F64Layout extends Blob {
    constructor(property: string);
    decode(b: any, offset: any): number;
    encode(src: any, b: any, offset: any): any;
}
export declare function U64F64(property?: string): U64F64Layout;
export declare class WideBits extends Layout {
    _lower: BitStructure;
    _upper: BitStructure;
    constructor(property: any);
    addBoolean(property: any): void;
    decode(b: any, offset?: number): any;
    replicate(property: string): any;
    encode(src: any, b: any, offset?: number): any;
}
export declare function accountFlagsLayout(property?: string): any;
export declare const MangoIndexLayout: any;
export declare const MangoGroupLayout: any;
export declare const MarginAccountLayout: any;
declare class EnumLayout extends UInt {
    values: any;
    constructor(values: any, span: any, property: any);
    encode(src: any, b: any, offset: any): any;
    decode(b: any, offset: any): string;
}
export declare function sideLayout(property: any): EnumLayout;
export declare function orderTypeLayout(property: any): EnumLayout;
export declare function selfTradeBehaviorLayout(property: any): EnumLayout;
export declare const MangoInstructionLayout: any;
export declare function encodeMangoInstruction(data: any): Buffer;
export {};
//# sourceMappingURL=layout.d.ts.map